# AttributeHandleValuePairSet Class Reference

`#include <GAV.hh>`

List of all members.

## Public Member Functions
| AttributeHandleValuePairSet (ULong size)
virtual | ~AttributeHandleValuePairSet ()
virtual ULong | size () const
virtual Handle | getHandle (ULong i) const throw (ArrayIndexOutOfBounds)
virtual ULong | getValueLength (ULong i) const throw (ArrayIndexOutOfBounds)
virtual void | getValue (ULong i, char *buff, ULong &valueLength) const throw (ArrayIndexOutOfBounds)
virtual char * | getValuePointer (ULong i, ULong &valueLength) const throw (ArrayIndexOutOfBounds)
virtual TransportType | getTransportType (ULong i) const throw (InvalidHandleValuePairSetContext)
virtual OrderType | getOrderType (ULong i) const throw (ArrayIndexOutOfBounds, InvalidHandleValuePairSetContext)
virtual void | add (Handle h, const char *buff, ULong valueLength) throw (ValueLengthExceeded, ValueCountExceeded)
virtual void | remove (Handle h) throw (ArrayIndexOutOfBounds)
virtual void | moveFrom (const AttributeHandleValuePairSet &ahvps, ULong &i) throw (ValueCountExceeded, ArrayIndexOutOfBounds)
virtual void | empty ()
virtual ULong | start () const
virtual ULong | valid (ULong i) const
virtual ULong | next (ULong i) const
## Public Attributes
OrderType | _order
TransportType | _transport
## Protected Attributes
std::list < AttributeHandleValuePair * > | _set

## Detailed Description

Definition at line 97 of file GAV.hh.

## Constructor & Destructor Documentation

AttributeHandleValuePairSet | ( | ULong | size | ) |

Definition at line 62 of file GAV.cc.

References AttributeHandleValuePairSet::_order, AttributeHandleValuePairSet::_transport, certi::RECEIVE, and certi::RELIABLE.

~AttributeHandleValuePairSet | ( |  | ) | `[virtual]`

Definition at line 69 of file GAV.cc.

References AttributeHandleValuePairSet::empty().

Here is the call graph for this function:

## Member Function Documentation

ULong size | ( |  | ) | const`[virtual]`

Definition at line 76 of file GAV.cc.

References AttributeHandleValuePairSet::_set.

Handle getHandle | ( | ULong | i | ) | const throw (ArrayIndexOutOfBounds)`[virtual]`

Definition at line 83 of file GAV.cc.

References AttributeHandleValuePairSet::_set.

ULong getValueLength | ( | ULong | i | ) | const throw (ArrayIndexOutOfBounds)`[virtual]`

Definition at line 97 of file GAV.cc.

References AttributeHandleValuePairSet::_set.

void getValue | ( | ULong | i,
|  | char * | buff,
|  | ULong & | valueLength |
| ) |  |  | const throw (ArrayIndexOutOfBounds)`[virtual]`

Definition at line 111 of file GAV.cc.

References AttributeHandleValuePairSet::_set.

char * getValuePointer | ( | ULong | i,
|  | ULong & | valueLength |
| ) |  |  | const throw (ArrayIndexOutOfBounds)`[virtual]`

Definition at line 130 of file GAV.cc.

References AttributeHandleValuePairSet::_set.

TransportType getTransportType | ( | ULong | i | ) | const throw (InvalidHandleValuePairSetContext)`[virtual]`

Definition at line 147 of file GAV.cc.

References AttributeHandleValuePairSet::_transport.

OrderType getOrderType | ( | ULong | i | ) | const throw (ArrayIndexOutOfBounds, InvalidHandleValuePairSetContext)`[virtual]`

Definition at line 155 of file GAV.cc.

References AttributeHandleValuePairSet::_order.

void add | ( | Handle | h,
|  | const char * | buff,
|  | ULong | valueLength |
| ) |  |  | throw (ValueLengthExceeded, ValueCountExceeded)`[virtual]`

Definition at line 163 of file GAV.cc.

References AttributeHandleValuePairSet::_set.

void remove | ( | Handle | h | ) | throw (ArrayIndexOutOfBounds)`[virtual]`

Definition at line 176 of file GAV.cc.

References AttributeHandleValuePairSet::_set.

void moveFrom | ( | const AttributeHandleValuePairSet & | ahvps,
|  | ULong & | i |
| ) |  |  | throw (ValueCountExceeded, ArrayIndexOutOfBounds)`[virtual]`

Definition at line 193 of file GAV.cc.

void empty | ( |  | ) | `[virtual]`

Definition at line 202 of file GAV.cc.

References AttributeHandleValuePairSet::_set.

Referenced by AttributeHandleValuePairSet::~AttributeHandleValuePairSet().

ULong start | ( |  | ) | const`[virtual]`

Definition at line 212 of file GAV.cc.

ULong valid | ( | ULong | i | ) | const`[virtual]`

Definition at line 220 of file GAV.cc.

ULong next | ( | ULong | i | ) | const`[virtual]`

Definition at line 228 of file GAV.cc.

## Member Data Documentation

OrderType _order

Definition at line 101 of file GAV.hh.

Referenced by AttributeHandleValuePairSet::AttributeHandleValuePairSet(), and AttributeHandleValuePairSet::getOrderType().

TransportType _transport

Definition at line 102 of file GAV.hh.

Referenced by AttributeHandleValuePairSet::AttributeHandleValuePairSet(), and AttributeHandleValuePairSet::getTransportType().

std::list<AttributeHandleValuePair *> _set`[protected]`

Definition at line 138 of file GAV.hh.

Referenced by AttributeHandleValuePairSet::add(), AttributeHandleValuePairSet::empty(), AttributeHandleValuePairSet::getHandle(), AttributeHandleValuePairSet::getValue(), AttributeHandleValuePairSet::getValueLength(), AttributeHandleValuePairSet::getValuePointer(), AttributeHandleValuePairSet::remove(), and AttributeHandleValuePairSet::size().

The documentation for this class was generated from the following files:

- GAV.hh
- GAV.cc